List Orders
curl --request GET \
--url https://api.eka.care/ipd/v1/service/orders \
--header 'auth: <auth>'import requests
url = "https://api.eka.care/ipd/v1/service/orders"
headers = {"auth": "<auth>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {auth: '<auth>'}};
fetch('https://api.eka.care/ipd/v1/service/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "66f1cd07e4b0a1b2c3d4ef0a",
"admissionId": "a1b2c3d4-5678-90ab-cdef-1234567890ab",
"kind": "order",
"orderNumber": "DW-7Q2K9F3M",
"ipdId": "IPD-2026-0042",
"status": "DISPATCHED",
"createdBy": "161467756044203",
"createdByName": "Vivek Sharma",
"isCollected": false,
"provider": "dawakhana",
"patientName": "Ravi Kumar",
"billedTotal": 45,
"fulfilmentType": "FULL",
"dispatchedBy": "161467756044204",
"dispatchedByName": "Meena Iyer",
"dispatchedAt": "2026-10-07T12:40:00.000Z",
"createdAt": "2026-10-07T12:10:00.000Z",
"updatedAt": "2026-10-07T12:40:00.000Z"
}
]
}{
"success": true,
"error": "<string>"
}{
"message": "<string>"
}Orders
List Orders
Overview
This API lists the medicine orders of your workspace, newest first. Orders and return orders are listed together: use kind to tell them apart (or to filter), and parentOrderId to find the returns placed against an order.
All filters are optional. Results are paged with limit (default 50) and skip (default 0).
GET
/
ipd
/
v1
/
service
/
orders
List Orders
Headers
Query Parameters
Only orders of this IPD admission.
Only orders in this status.
Available options:
CREATED, DISPATCHED, CANCELLED, RETURNED, PARTIALLY_RETURNED Only orders sent to this provider.
Available options:
evital, dawakhana Only orders (order) or only return orders (return).
Available options:
order, return Only return orders placed against this order.
Maximum number of orders to return. Defaults to 50.
Number of orders to skip (for paging). Defaults to 0.
Was this page helpful?

